### Constructor

# Gsk.ShadowNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_shadow_node_new (
      GskRenderNode* child,
      const GskShadow* shadows,
      gsize n_shadows
    )

#### Description [src]

Creates a `GskRenderNode` that will draw a `child` with the given `shadows` below it.

#### Parameters

`child` | `GskRenderNode`
| The node to draw
| Ownership is not transferred to the callee
`shadows` | An array of `GskShadow`
| The shadows to apply
| The length of the array is in the `n_shadows` argument
| Ownership is not transferred to the callee
`n_shadows` | `gsize`
| number of entries in the `shadows` array

#### Return value

Returns: `GskShadowNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller